# Define the kmod package name here.
%define	 kmod_name it87

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.18-194.el5}

Name:	 %{kmod_name}-kmod
Version: 1.1
Release: 7%{?dist}
Group:	 System Environment/Kernel
License: GPL v2
Summary: IT87 Super I/O Sensor module
URL:	 http://www.kernel.org/

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source10: kmodtool-el5-%{kmod_name}.sh

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants} 2>/dev/null)}

%description
This package provides the it87 kernel driver module.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    %{__cp} -a %{kmod_name}-%{version} _kmod_build_$kvariant
    %{__cat} <<-EOF >_kmod_build_$kvariant/%{kmod_name}.conf
	override %{kmod_name} * weak-updates/%{kmod_name}
	EOF
done

%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules M=$PWD
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules_install M=$PWD
    %{__install} -d ${INSTALL_MOD_PATH}/etc/depmod.d/
    %{__install} %{kmod_name}.conf ${INSTALL_MOD_PATH}/etc/depmod.d/
    popd
done
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec strip --strip-debug \{\} \;

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 14 2010 Philip J Perry <phil@elrepo.org> - 1.1-7.el5.elrepo
- Add Conflicts for module-init-tools-3.3-0.pre3.1.60.el5 [BugID 0000064]
- Rebase to kernel-2.6.35.2
- Fix in7 on IT8720F [2010-07-09]

* Tue May 18 2010 Philip J Perry <phil@elrepo.org> - 1.1-6.el5.elrepo
- Rebase to kernel-2.6.34.
- Rebuild against 2.6.18-194.el5
- Now only kABI-compatible with RHEL-5.5 series kernels.

* Tue Mar 09 2010 Philip J Perry <phil@elrepo.org> - 1.1-5.el5.elrepo
- Rebase module to kernel-2.6.33.
- Add 'Check for fan2 and fan3 availability' patch [2009-12-09]
- Add 'Verify the VID pin usage' patch [2009-12-09]
- Revert upstream 'Check for ACPI resource conflicts' patch [2009-01-07]

* Wed Feb 03 2010 Philip J Perry <phil@elrepo.org> - 1.1-4.el5.elrepo
- Backport fix VID reading on IT8718F/IT8720F [2009-10-24]
- Update kmodtool to latest spec.

* Sun Sep 06 2009 Philip J Perry <phil@elrepo.org> - 1.1-3.el5.elrepo
- Fix Include <linux/io.h> [2009-09-03]
- Update kmodtool to latest spec.

* Wed Aug 19 2009 Philip J Perry <phil@elrepo.org> - 1.1-2.el5.elrepo
- Update handling of it87.conf in SPEC file.
- Add Provides: kabi-modules.

* Mon May 04 2009 Philip J Perry <phil@elrepo.org> - 1.1-1.el5.elrepo
- Rebase module to kernel-2.6.29.2.
- Revert upstream 'Check for ACPI resource conflicts' patch [2009-01-07]
- Adds support for IT8720F and IT8726F

* Mon May 04 2009 Alan Bartlett <ajb@elrepo.org>
- Added code to strip the module.
- Aligned this spec file to the ElRepo standards.

* Sat Mar 28 2009 Philip J Perry <phil@elrepo.org> - 1.0-4.el5.elrepo
- Rebuilt for elrepo release.

* Fri Dec 26 2008 Philip J Perry <ned@unixmail.co.uk> - 1.0-3.el5
- Rebuilt against base CentOS-5 kernel for release.

* Sun Jul 27 2008 Philip J Perry <ned@unixmail.co.uk> - 1.0-2.92.1.6.el5
- Fixed weak-updates priority override in kmodtool-it87.

* Tue Jul 22 2008 Philip J Perry <ned@unixmail.co.uk> - 1.0-1.92.1.6.el5
- Initial RPM build.
- Backport from kernel-2.6.22.19 adding support for IT8716F and IT8718F.
